Table of Contents

Class: BrowserNode | eric3/UI/Browser.py
--- | ---

### Class implementing a thin wrapper around QListViewItem.

It makes sure that it is positioned after the previous sibling.

Base Classes |
--- | ---
QListViewItem

Methods |
--- | ---
__init__ paintCell
| __init__

    __init__ (
            self,
            parent,
            text,
            after,
            bold=0,
            )

### Constructor

#### Arguments

parent
  parent Browser or BrowserNode
text
  text to be displayed by this node (string or QString)
after
  sibling this node is positioned after
bold
  flag indicating a highlighted font

| paintCell

    paintCell (
            self,
            p,
            cg,
            column,
            width,
            alignment,
            )

### Overwritten class to set a different text color, if bold is true.

#### Arguments

p
  the painter (QPainter)
cg
  the color group (QColorGroup)
column
  the column (int)
width
  width of the cell (int)
alignment
  alignment of the cell (int)

Table of Contents

This document was automatically generated by HappyDoc version 2.1